package cn.quantgroup.xyqb.service.register;

import cn.quantgroup.xyqb.entity.User;
import cn.quantgroup.xyqb.entity.UserDeregisterRecord;

import java.util.Date;
import java.util.List;

/**
 * 销户服务
 *
 * @author killer
 * @date 2021年12月29日14:23:53
 */
public interface IUserDeregisterService {

    /**
     * 通过用户手机号md5查询销户记录
     *
     * @param phoneNo 手机号md5
     * @return List<UserDeregisterRecord>
     */
    List<UserDeregisterRecord> queryByPhoneNo(String phoneNo);

    /**
     * 保存用户销户记录
     *
     * @param user 用户
     */
    void save(User user);

    void executeTask();
}
